import influxframework


def execute():
	if influxframework.db.table_exists("Prepared Report"):
		influxframework.reload_doc("core", "doctype", "prepared_report")
		prepared_reports = influxframework.get_all("Prepared Report")
		for report in prepared_reports:
			influxframework.delete_doc("Prepared Report", report.name)
